* PACKAGE TTFFT99    !" eXg : t[Gϊ
*
*"  [HIS] 95/08/09 (takepiro) 
*
***********************************************************************
      PROGRAM TFFT99
*
* [DIMENSION]
      INTEGER    NX                        !" X̊iq_
      INTEGER    NZ                        !" Z̊iq_
	PARAMETER( NX = 8, NZ = 6 )
*
*
* [INPUT]
      REAL       ZETA ( 0:NX+1 , 0:NZ+1 )  !" Qx
*
* [WORK]
      REAL Z    ( NX , NZ )	           !" Ɣz
      REAL WTBL ( 2, NX )		   !" Ɣz
*
* [INTERNAL WORK]
      INTEGER IX
      INTEGER IZ
      REAL    PI 		           !" ~
*
      PI =  ATAN2( 0.0, -1.0 )
*
*"   < 1. Qxz̐ݒ >
*
      DO 100 IZ = 0, NZ+1
        DO 100 IX = 0, NX+1
           ZETA( IX, IZ ) = COS( 2 * PI * (IZ-1) * (IX-1) / REAL(NX) )
  100 CONTINUE
*
      WRITE ( 6, * ) ' Before FFT'
      DO 110 IZ=1,NZ
         WRITE( 6, '(8F9.3)' ) (ZETA(IX,IZ), IX=1,NX)
  110 CONTINUE
*
*"     < 2. Op֐\쐬 >
*
      CALL RFFTIM     !" FFT 3p֐\쐬
     I         ( NX    ,
     O           WTBL  , IFAC  )
*
*"     < 3. t[Gϊ >
*
      CALL FFT99Y     !" FFT Ă
     M         ( ZETA  ,
     M           Z     ,
     C           WTBL  , 
     C           2     , NX  , NX+2  , 
     C           2     , NZ  , NZ+2  , 
     C           0                      )
*
*"   < 4. o >
*
      WRITE ( 6, * ) ' After FFT'
      DO 300 IZ=1,NZ
         WRITE( 6, '(8F9.3)' ) (Z(IX,IZ), IX=1,NX)
  300 CONTINUE
*
*"     < 5. t[Gtϊ >
*
      CALL FFT99Y     !" FFT Ă
     M         ( ZETA  ,
     M           Z     ,
     C           WTBL  , 
     C           2     , NX  , NX+2  , 
     C           2     , NZ  , NZ+2  , 
     C           1                      )
*
*"     < 6. o >
*
      WRITE ( 6, * ) ' After Inverse FFT'
      DO 600 IZ=1,NZ
         WRITE( 6, '(8F9.3)' ) (ZETA(IX,IZ), IX=1,NX) 
  600 CONTINUE
*
      STOP
      END
